@echo off
Set "xOS=x64"& If "%PROCESSOR_ARCHITECTURE%"=="x86" If Not Defined PROCESSOR_ARCHITEW6432 Set "xOS=x32"
echo System is %xOS%
echo.

if "%xOS%"=="x64" start "" "%windir%\syswow64\wscript.exe" "%~dp0GetKeyboardSetcom.VBS"
if "%xOS%"=="x32" start "" "%windir%\system32\wscript.exe" "%~dp0GetKeyboardSetcom.VBS"